## org.eclipse.emf.compare.diff.metamodel
Interface AttributeChangeRightTarget

All Superinterfaces:
  AttributeChange, DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AttributeChangeRightTargetImpl

    public interface AttributeChangeRightTarget

extends AttributeChange

A representation of the model object 'Attribute Change Right Target'. A "RightTarget" element change describes a difference involving the right element/resource. In the case of AttributeChanges, these describe differences within multi-valued attributes. Specifically, the removal of a value or the remote addition of a value (for three way comparisons).

The following features are supported:

- `Right Target`

See Also:
  `DiffPackage.getAttributeChangeRightTarget()`

Method Summary
`java.lang.Object` `getRightTarget()` Returns the value of the 'Right Target' attribute
`void` `setRightTarget(java.lang.Object value)` Sets the value of the '`Right Target`' attribute

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.AttributeChange
`getAttribute, getLeftElement, getRightElement, setAttribute, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRightTarget

    java.lang.Object getRightTarget()

  Returns the value of the 'Right Target' attribute.

  If the meaning of the 'Right Target' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Target' attribute.
  See Also:
    `setRightTarget(Object)`, `DiffPackage.getAttributeChangeRightTarget_RightTarget()`

### setRightTarget

    void setRightTarget(java.lang.Object value)

  Sets the value of the '`Right Target`' attribute.

  Parameters:
    `value` - the new value of the 'Right Target' attribute.
  See Also:
    `getRightTarget()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.